//--MASK BEGIN JSCRAPER
///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.konst;



/******************************************************************************
Int constants.

<p><b>Details:</b>  <code>INT</code> is a collection of <code>int</code> constants.</p>

@since 1999.05.13
******************************************************************************/

public class INT
{



//--MASK END JSCRAPER
	/**********************************************************************
	0x7fffffff.

	<p><b>Details:</b>  Maximum signed <code>int</code> value.</p>
	**********************************************************************/

	public static final int MAX_SINT   = 0x7fffffff;



	/**********************************************************************
	0x80000000.

	<p><b>Details:</b>  Minimum signed <code>int</code> value.</p>
	**********************************************************************/

	public static final int MIN_SINT   = 0x80000000;



	/**********************************************************************
	0xffffffff.

	<p><b>Details:</b>  Maximum unsigned <code>int</code> value.</p>
	**********************************************************************/

	public static final int MAX_UINT   = 0xffffffff;



	/**********************************************************************
	0x00000000.

	<p><b>Details:</b>  Minimum unsigned <code>int</code> value.</p>
	**********************************************************************/

	public static final int MIN_UINT   = 0x00000000;



	/**********************************************************************
	0x00007fff.

	<p><b>Details:</b>  Maximum signed <code>short</code> value.</p>
	**********************************************************************/

	public static final int MAX_SSHORT = 0x00007fff;



	/**********************************************************************
	0xffff8000.

	<p><b>Details:</b>  Minimum signed <code>short</code> value.</p>
	**********************************************************************/

	public static final int MIN_SSHORT = 0xffff8000;



	/**********************************************************************
	0x0000ffff.

	<p><b>Details:</b>  Maximum unsigned <code>short</code> value.</p>
	**********************************************************************/

	public static final int MAX_USHORT = 0x0000ffff;



	/**********************************************************************
	0x00000000.

	<p><b>Details:</b>  Minimum unsigned <code>short</code> value.</p>
	**********************************************************************/

	public static final int MIN_USHORT = 0x00000000;



	/**********************************************************************
	0x0000007f.

	<p><b>Details:</b>  Maximum signed <code>byte</code> value.</p>
	**********************************************************************/

	public static final int MAX_SBYTE  = 0x0000007f;



	/**********************************************************************
	0xffffff80.

	<p><b>Details:</b>  Minimum signed <code>byte</code> value.</p>
	**********************************************************************/

	public static final int MIN_SBYTE  = 0xffffff80;



	/**********************************************************************
	0x000000ff.

	<p><b>Details:</b>  Maximum unsigned <code>byte</code> value.</p>
	**********************************************************************/

	public static final int MAX_UBYTE  = 0x000000ff;



	/**********************************************************************
	0x00000000.

	<p><b>Details:</b>  Minimum unsigned <code>byte</code> value.</p>
	**********************************************************************/

	public static final int MIN_UBYTE  = 0x00000000;



//--MASK BEGIN JSCRAPER
	/**********************************************************************
	0x0000ffff.

	<p><b>Details:</b>  Maximum <code>char</code> value.</p>
	**********************************************************************/

	public static final int MAX_CHAR   = 0x0000ffff;



//--MASK END JSCRAPER
	/**********************************************************************
	0x00000000.

	<p><b>Details:</b>  Minimum <code>char</code> value.</p>
	**********************************************************************/

	public static final int MIN_CHAR   = 0x00000000;



	/**********************************************************************
	0x00000001.

	<p><b>Details:</b>  Bit 0 mask.</p>
	**********************************************************************/

	public static final int BIT_00 = 1      ;



	/**********************************************************************
	0x00000001 << 1.

	<p><b>Details:</b>  Bit 1 mask.</p>
	**********************************************************************/

	public static final int BIT_01 = 1 <<  1;



	/**********************************************************************
	0x00000001 << 2.

	<p><b>Details:</b>  Bit 2 mask.</p>
	**********************************************************************/

	public static final int BIT_02 = 1 <<  2;



	/**********************************************************************
	0x00000001 << 3.

	<p><b>Details:</b>  Bit 3 mask.</p>
	**********************************************************************/

	public static final int BIT_03 = 1 <<  3;



	/**********************************************************************
	0x00000001 << 4.

	<p><b>Details:</b>  Bit 4 mask.</p>
	**********************************************************************/

	public static final int BIT_04 = 1 <<  4;



	/**********************************************************************
	0x00000001 << 5.

	<p><b>Details:</b>  Bit 5 mask.</p>
	**********************************************************************/

	public static final int BIT_05 = 1 <<  5;



	/**********************************************************************
	0x00000001 << 6.

	<p><b>Details:</b>  Bit 6 mask.</p>
	**********************************************************************/

	public static final int BIT_06 = 1 <<  6;



	/**********************************************************************
	0x00000001 << 7.

	<p><b>Details:</b>  Bit 7 mask.</p>
	**********************************************************************/

	public static final int BIT_07 = 1 <<  7;



	/**********************************************************************
	0x00000001 << 8.

	<p><b>Details:</b>  Bit 8 mask.</p>
	**********************************************************************/

	public static final int BIT_08 = 1 <<  8;



	/**********************************************************************
	0x00000001 << 9.

	<p><b>Details:</b>  Bit 9 mask.</p>
	**********************************************************************/

	public static final int BIT_09 = 1 <<  9;



	/**********************************************************************
	0x00000001 << 10.

	<p><b>Details:</b>  Bit 10 mask.</p>
	**********************************************************************/

	public static final int BIT_10 = 1 << 10;



	/**********************************************************************
	0x00000001 << 11.

	<p><b>Details:</b>  Bit 11 mask.</p>
	**********************************************************************/

	public static final int BIT_11 = 1 << 11;



	/**********************************************************************
	0x00000001 << 12.

	<p><b>Details:</b>  Bit 12 mask.</p>
	**********************************************************************/

	public static final int BIT_12 = 1 << 12;



	/**********************************************************************
	0x00000001 << 13.

	<p><b>Details:</b>  Bit 13 mask.</p>
	**********************************************************************/

	public static final int BIT_13 = 1 << 13;



	/**********************************************************************
	0x00000001 << 14.

	<p><b>Details:</b>  Bit 14 mask.</p>
	**********************************************************************/

	public static final int BIT_14 = 1 << 14;



	/**********************************************************************
	0x00000001 << 15.

	<p><b>Details:</b>  Bit 15 mask.</p>
	**********************************************************************/

	public static final int BIT_15 = 1 << 15;



	/**********************************************************************
	0x00000001 << 16.

	<p><b>Details:</b>  Bit 16 mask.</p>
	**********************************************************************/

	public static final int BIT_16 = 1 << 16;



	/**********************************************************************
	0x00000001 << 17.

	<p><b>Details:</b>  Bit 17 mask.</p>
	**********************************************************************/

	public static final int BIT_17 = 1 << 17;



	/**********************************************************************
	0x00000001 << 18.

	<p><b>Details:</b>  Bit 18 mask.</p>
	**********************************************************************/

	public static final int BIT_18 = 1 << 18;



	/**********************************************************************
	0x00000001 << 19.

	<p><b>Details:</b>  Bit 19 mask.</p>
	**********************************************************************/

	public static final int BIT_19 = 1 << 19;



	/**********************************************************************
	0x00000001 << 20.

	<p><b>Details:</b>  Bit 20 mask.</p>
	**********************************************************************/

	public static final int BIT_20 = 1 << 20;



	/**********************************************************************
	0x00000001 << 21.

	<p><b>Details:</b>  Bit 21 mask.</p>
	**********************************************************************/

	public static final int BIT_21 = 1 << 21;



	/**********************************************************************
	0x00000001 << 22.

	<p><b>Details:</b>  Bit 22 mask.</p>
	**********************************************************************/

	public static final int BIT_22 = 1 << 22;



	/**********************************************************************
	0x00000001 << 23.

	<p><b>Details:</b>  Bit 23 mask.</p>
	**********************************************************************/

	public static final int BIT_23 = 1 << 23;



	/**********************************************************************
	0x00000001 << 24.

	<p><b>Details:</b>  Bit 24 mask.</p>
	**********************************************************************/

	public static final int BIT_24 = 1 << 24;



	/**********************************************************************
	0x00000001 << 25.

	<p><b>Details:</b>  Bit 25 mask.</p>
	**********************************************************************/

	public static final int BIT_25 = 1 << 25;



	/**********************************************************************
	0x00000001 << 26.

	<p><b>Details:</b>  Bit 26 mask.</p>
	**********************************************************************/

	public static final int BIT_26 = 1 << 26;



	/**********************************************************************
	0x00000001 << 27.

	<p><b>Details:</b>  Bit 27 mask.</p>
	**********************************************************************/

	public static final int BIT_27 = 1 << 27;



	/**********************************************************************
	0x00000001 << 28.

	<p><b>Details:</b>  Bit 28 mask.</p>
	**********************************************************************/

	public static final int BIT_28 = 1 << 28;



	/**********************************************************************
	0x00000001 << 29.

	<p><b>Details:</b>  Bit 29 mask.</p>
	**********************************************************************/

	public static final int BIT_29 = 1 << 29;



	/**********************************************************************
	0x00000001 << 30.

	<p><b>Details:</b>  Bit 30 mask.</p>
	**********************************************************************/

	public static final int BIT_30 = 1 << 30;



	/**********************************************************************
	0x00000001 << 31.

	<p><b>Details:</b>  Bit 31 mask.</p>
	**********************************************************************/

	public static final int BIT_31 = 1 << 31;



	private INT () {}



//--MASK BEGIN JSCRAPER
}



