///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.riff;



import java.io.IOException;



abstract class RiffChunkWriter
{



	abstract long getPosition ();



	abstract void setPosition (long p) throws IOException;



	abstract void writeTag (int tag) throws IOException;



	abstract void writeByte (byte b) throws IOException;



	abstract void writeWord (short word) throws IOException;



	abstract void writeDword (int dword) throws IOException;



	abstract void writeBytes (byte[] src, int offset, int amount) throws IOException;



	abstract void writeWords (short[] src, int offset, int amount) throws IOException;



	abstract void writeDwords (int[] src, int offset, int amount) throws IOException;



	abstract void flush () throws IOException;



	abstract RiffChunkWriter close () throws IOException;



}



