///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.util;



/******************************************************************************
Describes object ordering.

<p><b>Details:</b>  An <code>IComparator</code> compares two objects and tells which of them occurs first in a logical ordering of those objects.</p>
******************************************************************************/

//1999.09.24

public interface IComparator
{



	/**********************************************************************
	Compares two objects.

	<p><b>Details:</b>  compare returns less than 0 if o1 occurs before o2 in the logical ordering represented by this comparator, 0 if the are equal, and greater than 0 if o2 occurs before o1.</p>

	@param o1 the first object
	@param o2 the second object
	@return &lt; 0, 0, or &gt; 0 describing the objects' order
	**********************************************************************/

	int compare (Object o1, Object o2);



}



